Index: uspace/lib/c/generic/inetcfg.c
===================================================================
--- uspace/lib/c/generic/inetcfg.c	(revision cde999aca79219e8751af76502001a86d411d176)
+++ uspace/lib/c/generic/inetcfg.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -39,5 +39,5 @@
 static async_sess_t *inetcfg_sess = NULL;
 
-static int inetcfg_get_ids_once(sysarg_t method, sysarg_t arg1,
+static errno_t inetcfg_get_ids_once(sysarg_t method, sysarg_t arg1,
     sysarg_t *id_buf, size_t buf_size, size_t *act_size)
 {
@@ -46,14 +46,14 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, method, arg1, &answer);
-	int rc = async_data_read_start(exch, id_buf, buf_size);
-
-	async_exchange_end(exch);
-
-	if (rc != EOK) {
-		async_forget(req);
-		return rc;
-	}
-
-	int retval;
+	errno_t rc = async_data_read_start(exch, id_buf, buf_size);
+
+	async_exchange_end(exch);
+
+	if (rc != EOK) {
+		async_forget(req);
+		return rc;
+	}
+
+	errno_t retval;
 	async_wait_for(req, &retval);
 
@@ -76,5 +76,5 @@
  * @return 		EOK on success or an error code
  */
-static int inetcfg_get_ids_internal(sysarg_t method, sysarg_t arg1,
+static errno_t inetcfg_get_ids_internal(sysarg_t method, sysarg_t arg1,
     sysarg_t **data, size_t *count)
 {
@@ -83,5 +83,5 @@
 
 	size_t act_size = 0;
-	int rc = inetcfg_get_ids_once(method, arg1, NULL, 0,
+	errno_t rc = inetcfg_get_ids_once(method, arg1, NULL, 0,
 	    &act_size);
 	if (rc != EOK)
@@ -113,8 +113,8 @@
 }
 
-int inetcfg_init(void)
+errno_t inetcfg_init(void)
 {
 	service_id_t inet_svc;
-	int rc;
+	errno_t rc;
 
 	assert(inetcfg_sess == NULL);
@@ -133,5 +133,5 @@
 }
 
-int inetcfg_addr_create_static(const char *name, inet_naddr_t *naddr,
+errno_t inetcfg_addr_create_static(const char *name, inet_naddr_t *naddr,
     sysarg_t link_id, sysarg_t *addr_id)
 {
@@ -142,5 +142,5 @@
 	    &answer);
 	
-	int rc = async_data_write_start(exch, naddr, sizeof(inet_naddr_t));
+	errno_t rc = async_data_write_start(exch, naddr, sizeof(inet_naddr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -158,5 +158,5 @@
 	}
 	
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 	
@@ -166,9 +166,9 @@
 }
 
-int inetcfg_addr_delete(sysarg_t addr_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	int rc = async_req_1_0(exch, INETCFG_ADDR_DELETE, addr_id);
+errno_t inetcfg_addr_delete(sysarg_t addr_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	errno_t rc = async_req_1_0(exch, INETCFG_ADDR_DELETE, addr_id);
 	async_exchange_end(exch);
 
@@ -176,5 +176,5 @@
 }
 
-int inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
+errno_t inetcfg_addr_get(sysarg_t addr_id, inet_addr_info_t *ainfo)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -187,5 +187,5 @@
 	    sizeof(inet_naddr_t), &answer_naddr);
 	
-	int retval_naddr;
+	errno_t retval_naddr;
 	async_wait_for(req_naddr, &retval_naddr);
 	
@@ -203,5 +203,5 @@
 	async_exchange_end(exch);
 	
-	int retval_name;
+	errno_t retval_name;
 	async_wait_for(req_name, &retval_name);
 	
@@ -211,5 +211,5 @@
 	}
 	
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 	
@@ -228,5 +228,5 @@
 }
 
-int inetcfg_addr_get_id(const char *name, sysarg_t link_id, sysarg_t *addr_id)
+errno_t inetcfg_addr_get_id(const char *name, sysarg_t link_id, sysarg_t *addr_id)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -234,5 +234,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_1(exch, INETCFG_ADDR_GET_ID, link_id, &answer);
-	int retval = async_data_write_start(exch, name, str_size(name));
+	errno_t retval = async_data_write_start(exch, name, str_size(name));
 
 	async_exchange_end(exch);
@@ -249,5 +249,5 @@
 }
 
-int inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
+errno_t inetcfg_get_addr_list(sysarg_t **addrs, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_ADDR_LIST,
@@ -255,5 +255,5 @@
 }
 
-int inetcfg_get_link_list(sysarg_t **links, size_t *count)
+errno_t inetcfg_get_link_list(sysarg_t **links, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_LINK_LIST,
@@ -261,5 +261,5 @@
 }
 
-int inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
+errno_t inetcfg_get_sroute_list(sysarg_t **sroutes, size_t *count)
 {
 	return inetcfg_get_ids_internal(INETCFG_GET_SROUTE_LIST,
@@ -267,9 +267,9 @@
 }
 
-int inetcfg_link_add(sysarg_t link_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	int rc = async_req_1_0(exch, INETCFG_LINK_ADD, link_id);
+errno_t inetcfg_link_add(sysarg_t link_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	errno_t rc = async_req_1_0(exch, INETCFG_LINK_ADD, link_id);
 	async_exchange_end(exch);
 
@@ -277,8 +277,8 @@
 }
 
-int inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
+errno_t inetcfg_link_get(sysarg_t link_id, inet_link_info_t *linfo)
 {
 	ipc_call_t dreply;
-	int dretval;
+	errno_t dretval;
 	size_t act_size;
 	char name_buf[LOC_NAME_MAXLEN + 1];
@@ -289,5 +289,5 @@
 	aid_t req = async_send_1(exch, INETCFG_LINK_GET, link_id, &answer);
 	aid_t dreq = async_data_read(exch, name_buf, LOC_NAME_MAXLEN, &dreply);
-	int rc = async_data_read_start(exch, &linfo->mac_addr, sizeof(addr48_t));
+	errno_t rc = async_data_read_start(exch, &linfo->mac_addr, sizeof(addr48_t));
 	async_wait_for(dreq, &dretval);
 
@@ -299,5 +299,5 @@
 	}
 
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 
@@ -315,9 +315,9 @@
 }
 
-int inetcfg_link_remove(sysarg_t link_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	int rc = async_req_1_0(exch, INETCFG_LINK_REMOVE, link_id);
+errno_t inetcfg_link_remove(sysarg_t link_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	errno_t rc = async_req_1_0(exch, INETCFG_LINK_REMOVE, link_id);
 	async_exchange_end(exch);
 
@@ -325,5 +325,5 @@
 }
 
-int inetcfg_sroute_create(const char *name, inet_naddr_t *dest,
+errno_t inetcfg_sroute_create(const char *name, inet_naddr_t *dest,
     inet_addr_t *router, sysarg_t *sroute_id)
 {
@@ -333,5 +333,5 @@
 	aid_t req = async_send_0(exch, INETCFG_SROUTE_CREATE, &answer);
 	
-	int rc = async_data_write_start(exch, dest, sizeof(inet_naddr_t));
+	errno_t rc = async_data_write_start(exch, dest, sizeof(inet_naddr_t));
 	if (rc != EOK) {
 		async_exchange_end(exch);
@@ -356,5 +356,5 @@
 	}
 	
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 	
@@ -364,9 +364,9 @@
 }
 
-int inetcfg_sroute_delete(sysarg_t sroute_id)
-{
-	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
-
-	int rc = async_req_1_0(exch, INETCFG_SROUTE_DELETE, sroute_id);
+errno_t inetcfg_sroute_delete(sysarg_t sroute_id)
+{
+	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
+
+	errno_t rc = async_req_1_0(exch, INETCFG_SROUTE_DELETE, sroute_id);
 	async_exchange_end(exch);
 
@@ -374,5 +374,5 @@
 }
 
-int inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
+errno_t inetcfg_sroute_get(sysarg_t sroute_id, inet_sroute_info_t *srinfo)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -385,5 +385,5 @@
 	    sizeof(inet_naddr_t), &answer_dest);
 	
-	int retval_dest;
+	errno_t retval_dest;
 	async_wait_for(req_dest, &retval_dest);
 	
@@ -398,5 +398,5 @@
 	    sizeof(inet_addr_t), &answer_router);
 	
-	int retval_router;
+	errno_t retval_router;
 	async_wait_for(req_router, &retval_router);
 	
@@ -414,5 +414,5 @@
 	async_exchange_end(exch);
 	
-	int retval_name;
+	errno_t retval_name;
 	async_wait_for(req_name, &retval_name);
 	
@@ -422,5 +422,5 @@
 	}
 	
-	int retval;
+	errno_t retval;
 	async_wait_for(req, &retval);
 	
@@ -438,5 +438,5 @@
 }
 
-int inetcfg_sroute_get_id(const char *name, sysarg_t *sroute_id)
+errno_t inetcfg_sroute_get_id(const char *name, sysarg_t *sroute_id)
 {
 	async_exch_t *exch = async_exchange_begin(inetcfg_sess);
@@ -444,5 +444,5 @@
 	ipc_call_t answer;
 	aid_t req = async_send_0(exch, INETCFG_SROUTE_GET_ID, &answer);
-	int retval = async_data_write_start(exch, name, str_size(name));
+	errno_t retval = async_data_write_start(exch, name, str_size(name));
 
 	async_exchange_end(exch);
